WPSFont Struct Reference

`#include <libwps_internal.h>`

Inheritance diagram for WPSFont:

## Public Member Functions

| WPSFont ()
| constructor More...
virtual | ~WPSFont ()
bool | isSet () const
| accessor More...
bool | operator== (WPSFont const &ft) const
| compares to font More...
bool | operator!= (WPSFont const &ft) const

## Static Public Member Functions

static WPSFont | getDefault ()

## Public Attributes

std::string | m_name
| font name More...
int | m_size
| font size More...
uint32_t | m_attributes
| the font attributes defined as a set of bits More...
uint32_t | m_color
| the font color More...
int | m_languageId
| the language (simplified locale name id) if known More...
std::string | m_extra
| public field use to add a message when the font is printed More...

## Friends

std::ostream & | operator<< (std::ostream &o, WPSFont const &ft)
| operator<< More...

## Constructor & Destructor Documentation

WPSFont::WPSFont | ( |  | ) |

inline

constructor

virtual WPSFont::~WPSFont | ( |  | ) |

inline virtual

## Member Function Documentation

static WPSFont WPSFont::getDefault | ( |  | ) |

inline static

Referenced by WPS4Text::flushExtra(), WPS4Text::readText(), WPS8Graph::sendBorder(), WPS8Graph::sendObjects(), and WPS4Graph::sendObjects().

bool WPSFont::isSet | ( |  | ) | const

inline

accessor

bool WPSFont::operator!= | ( | WPSFont const & | ft | ) | const

inline

bool WPSFont::operator== | ( | WPSFont const & | ft | ) | const

compares to font

Referenced by operator!=().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | WPSFont const & | ft
| ) |  |

friend

operator<<

## Member Data Documentation

uint32_t WPSFont::m_attributes

the font attributes defined as a set of bits

Referenced by operator<<(), operator==(), WPS4Text::readFont(), and WPSContentListener::setFont().

uint32_t WPSFont::m_color

the font color

Referenced by WPS4TextInternal::Font::hasColor(), operator<<(), operator==(), WPS8TextStyle::readFont(), WPS4Text::readFont(), WPS4TextInternal::Font::resetColor(), and WPSContentListener::setFont().

std::string WPSFont::m_extra

public field use to add a message when the font is printed

Referenced by operator<<(), operator==(), and WPS4Text::readFont().

int WPSFont::m_languageId

the language (simplified locale name id) if known

Referenced by operator==(), WPS8TextStyle::readFont(), and WPSContentListener::setFont().

std::string WPSFont::m_name

font name

Referenced by WPS8TextStyleInternal::Font::def(), getDefault(), WPS4TextInternal::Font::getDefault(), isSet(), operator<<(), operator==(), WPS8TextStyle::readFont(), WPS4Text::readFont(), and WPSContentListener::setFont().

int WPSFont::m_size

font size

Referenced by WPS8TextStyleInternal::Font::def(), getDefault(), WPS4TextInternal::Font::getDefault(), operator<<(), operator==(), WPS8TextStyle::readFont(), WPS4Text::readFont(), and WPSContentListener::setFont().

The documentation for this struct was generated from the following files:

- libwps_internal.h
- libwps_internal.cpp